[package]
name = "ghost-rpc"
description = "Ghost specific RPC functionality"
version.workspace = true
edition.workspace = true
authors.workspace = true
repository.workspace = true
homepage.workspace = true
license.workspace = true

[dependencies]
jsonrpsee = { workspace = true, features = ["server"] }
sc-client-api = { workspace = true, default-features = true }
sc-chain-spec = { workspace = true, default-features = true }
sc-rpc = { workspace = true, default-features = true }
sc-rpc-spec-v2 = { workspace = true, default-features = true }
babe = { workspace = true, default-features = true }
babe-rpc = { workspace = true, default-features = true }
grandpa = { workspace = true, default-features = true }
grandpa-rpc = { workspace = true, default-features = true }
sc-consensus-epochs = { workspace = true, default-features = true }
sc-sync-state-rpc = { workspace = true, default-features = true }

tx-pool-api = { workspace = true, default-features = true }
sp-blockchain = { workspace = true, default-features = true }
sp-keystore = { workspace = true, default-features = true }
sp-runtime = { workspace = true, default-features = true }
sp-api = { workspace = true, default-features = true }
consensus-common = { workspace = true, default-features = true }
babe-primitives = { workspace = true, default-features = true }
block-builder-api = { workspace = true, default-features = true }

frame-rpc-system = { workspace = true, default-features = true }
pallet-transaction-payment-rpc = { workspace = true, default-features = true }
substrate-state-trie-migration-rpc = { workspace = true, default-features = true }
primitives = { workspace = true, default-features = true }
